Bug 431923 - Connecting to WPA2 wireless requires specifying the type (TKIP)
Connecting to WPA2 wireless requires specifying the type (TKIP)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Dan Williams
: Desktop
Depends On:
Blocks: 183415
  Show dependency treegraph
Reported: 2008-02-07 15:41 EST by Suzanne Hillman
Modified: 2013-02-18 23:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-18 23:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2008-02-07 15:41:23 EST
Description of problem:
Connecting to WPA2 (probably WPA as well) wireless requires specifying the type
(TKIP), at least on an Acer Aspire 3002CLi. If it's set to automatic, it fails.
If set to AES, it fails (perhaps the card cannot handle AES, but automatic
should figure that out!). If set to TKIP, it will work. The router was set for
WPA2 Personal, both AES & TKIP, and the card only connected if I specified TKIP.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Obtain a Acer Aspire 3002CLi
2. Attempt to connect to a WPA2 wireless network via Default (automatic)
Actual results:
It will fail, unless you specify TKIP

Expected results:
Should figure it out!

Additional info:
Not a regression.

My home AP: Lynksys WRT54GL

One of the QE testing laptops' internal cards, BCM4318
Comment 1 Dan Williams 2008-02-07 15:49:38 EST
any chance I can get access to both the laptop and the AP to debug the issue
Comment 2 Suzanne Hillman 2008-02-07 16:20:54 EST
Laptop, yes. AP... not easily, as I am not the only one using it. I shall check
if I can reproduce an an AP in the office next week, and if not talk to my
roommate to see when I can bring it in.
Comment 3 Suzanne Hillman 2008-02-14 11:23:18 EST
This is also reproducable with QE's in-house router, so I can provide both
laptop & AP. Are you at work today?
Comment 4 Dan Williams 2008-02-14 11:58:58 EST
Yeah, bring them by or I can come find you.
Comment 5 Dan Williams 2008-10-16 10:02:46 EDT
Need to reverify with 5.3 though it should be fixed with kernel driver updates to bcm43xx as well as the NM rebase.
Comment 8 Dan Williams 2013-02-18 23:49:40 EST
We shall assume this is fixed.

Note You need to log in before you can comment on or make changes to this bug.